{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":561,"path":"api-reference/rest-apis/tmf622_product_ordering-api.md","title":"Product Order Open API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Product Order Open API\n\nThe Product Order Open API provides endpoints that enable a standardized mechanism for placing product orders.\n\nA product order is created based on a product offering that is defined and published in a product catalog. The product offering identifies the product or set of products that are available to a customer and includes the relevant product characteristics that capture the unique options of a product, and other relevant attributes such as pricing, contract terms, and availability.\n\nTo access this API, the Order Management for Telecommunications \\(sn\\_ind\\_tmt\\_orm\\) plugin must be activated. For more information, see [Install Order Management](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/order-mgt-install-providers.md). For information about Order Management tables and roles, see [Components installed with Order Management](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/components-installed-with-order-management.md).\n\nThis API is provided within the `sn_ind_tmt_orm` namespace.\n\nThe calling user must have the sn\\_ind\\_tmt\\_orm.order\\_integrator role.\n\nThis API can be extended to make customizations around required parameters, request body validation, additional REST operations, and field mappings. For more information, see the [Product Order Open API Developer Guide](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/developer-guides/product-order_dev-guide.md).\n\nThe Product Order Open API is a ServiceNow® implementation of the TM Forum Product Ordering Management API Specification. This implementation is based on the [TMF622 Product Ordering Management API User Guide v5.0.0](https://www.tmforum.org/resources/specifications/tmf622-product-ordering-management-api-user-guide-v5-0-0/), September 2024. The Product Order Open API is conformance certified by TM Forum.\n\n\\[Omitted image \"tmf-conformance.png\"\\] Alt text: TMF conformance logo\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Product Order Open API - GET /sn\\_ind\\_tmt\\_orm/order/productOrder\n\nRetrieves all product orders.\n\nThis endpoint retrieves order information from the following tables:\n\n-   Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n-   Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\]\n-   Order Characteristic \\[sn\\_ind\\_tmt\\_orm\\_order\\_characteristic\\_value\\]\n-   Order Line Item Contact \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\_contact\\]\n-   Order Line Related Items \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_related\\_items\\]\n\n### URL format\n\nDefault URL: `/api/sn_ind_tmt_orm/order/productOrder`\n\n### Supported request parameters\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n<table id=\"table_pfr_vgy_fsb\" class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nfields\n\n</td><td>\n\nList of fields to return in the response. Invalid fields are ignored. Data type: String\n\nDefault: All fields returned.\n\n</td></tr><tr><td>\n\nlimit\n\n</td><td>\n\nMaximum number of records to return. For requests that exceed this number of records, use the **offset** parameter to paginate record retrieval. Data type: Number\n\nDefault: 20\n\nMaximum: 100\n\n</td></tr><tr><td>\n\noffset\n\n</td><td>\n\nStarting index at which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks.Data type: Number\n\nDefault: 0\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nFilter orders by state. Only orders with a state matching the value of this parameter are returned in the response.Data type: String\n\nDefault: Don't order by state.\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n<table id=\"table_h4r_fxr_nsb\" class=\"rest_api_response_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr id=\"content-range-row\"><td>\n\nContent-Range\n\n</td><td>\n\nRange of content returned in a paginated call. For example, if `offset=2` and `limit=3`, the value of the **Content-Range** header is `items 3-5`.\n\n</td></tr><tr id=\"content-type-row\"><td>\n\nContent-Type\n\n</td><td>\n\nData format of the response body. Only supports **application/json**.\n\n</td></tr><tr id=\"links-pagination-row\"><td>\n\nLink\n\n</td><td>\n\nContains the following links to navigate through query results.-   first\n-   last\n-   next\n-   previous\n\n</td></tr><tr id=\"x-total-count-row\"><td id=\"x-total-count\">\n\nX-Total-Count\n\n</td><td>\n\nFor paginated queries, this header specifies the total number of records available on the server.\n\n</td></tr></tbody>\n</table>### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_wdl_3xr_nsb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"tmf-get-status-200-entry\">\n\nRequest successfully processed. Full resource returned in response \\(no pagination\\).\n\n</td></tr><tr><td>\n\n206\n\n</td><td id=\"tmf-get-status-206-entry\">\n\nPartial resource returned in response \\(with pagination\\).\n\n</td></tr><tr><td>\n\n400\n\n</td><td id=\"tmf-get-status-400-entry\">\n\nBad request. Possible reasons:\n\n-   Invalid path parameter\n-   Invalid URI\n\n</td></tr><tr><td>\n\n404\n\n</td><td id=\"tmf-get-status-404-entry\">\n\nRecord not found. No records matching the query parameters are found in the table.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table id=\"table_inf_kxr_nsb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nchannel\n\n</td><td>\n\nList of channels to use for selling the products. Data type: Array of Objects\n\n```\n\"channel\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nchannel.id\n\n</td><td>\n\nUnique identifier of the channel to use to sell the associated products. Data type: String\n\n</td></tr><tr><td>\n\nchannel.name\n\n</td><td>\n\nName of the channel to use to sell the associated products. Data type: String\n\n</td></tr><tr><td>\n\ncommittedDueDate\n\n</td><td>\n\nDate and time when the action must be performed on the order.\n\nThis value must be the same as or later than the **committedDueDate** values for each order line item.\n\nData type: String\n\n</td></tr><tr><td>\n\nexpectedCompletionDate\n\n</td><td>\n\nDate on which the order will be completed.Data type: String\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td>\n\nExternal system identifier that links the product order to your source system or third-party application.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the product order record.Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the product order. Data type: String\n\n</td></tr><tr><td>\n\nnote\n\n</td><td>\n\nOptional. List of additional notes made by the customer when ordering. Data type: Array of Objects\n\n```\n\"note\": [\n  {\n    \"author\": \"String\",\n    \"date\": \"String\",\n    \"text\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nnote.author\n\n</td><td>\n\nUser name of the person that authored the associated note.Data type: String\n\n</td></tr><tr><td>\n\nnote.date\n\n</td><td>\n\nDate that the note was created.Data type: String\n\n</td></tr><tr><td>\n\nnote.text\n\n</td><td>\n\nAdditional notes/comments made by the customer while ordering. Data type: String\n\n</td></tr><tr><td>\n\norderCurrency\n\n</td><td>\n\nCurrency code for the order and order line items.Data type: String\n\n</td></tr><tr><td>\n\nponr\n\n</td><td>\n\nFlag that indicates whether the point of no return for the order has been reached.Possible values:\n\n-   true: The point of no return for the order has been reached.\n-   false: The point of no return for the order hasn't been reached.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nproductOrderItem\n\n</td><td>\n\nList that describes items associated with the product order and their associated action. Data type: Array of Objects\n\n```\n\"productOrderItem:\" [\n  {\n    \"action\": \"String\",\n    \"committedDueDate\": \"String\",\n    \"externalProductInventory\": [Array],\n    \"id\": \"String\",\n    \"itemPrice\": [Array],\n    \"product\": {Object},\n    \"productOffering\": {Object},\n    \"productOrderItemReleationship\": [Array],\n    \"quantity\": Number,\n    \"state\": \"String\",\n    \"@type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.action\n\n</td><td>\n\nAction to carry out on the product. Possible actions are defined on the Choice List tab in the Action Dictionary Entry of the sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.actionReason\n\n</td><td>\n\nReason for adding the order line item.Data type: String\n\nStored in: The action\\_reason field of the sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item table.\n\n</td></tr><tr><td>\n\nproductOrderItem.committedDueDate\n\n</td><td>\n\nOptional. Date and time when the action must be performed on the order line item.\n\nData type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.externalProductInventory\n\n</td><td id=\"externalProdInv-resp-descr\">\n\nConditional. List of external IDs mapped to the product inventories created for the order. If supplied, each entry requires **externalProductInventoryId**.Data type: Array of Objects\n\n```\n\"externalProductInventory\": [\n  {\n    \"externalProductInventoryId\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.externalProductInventory.externalProductInventoryId\n\n</td><td id=\"externalProdInvId-resp-descr\">\n\nExternal ID mapped to the product inventory.Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.id\n\n</td><td>\n\nUnique identifier of the line item. Located in the sn\\_ind\\_tmt\\_orm\\_external\\_id field of the Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice\n\n</td><td>\n\nList that describes the price associated with the product. Data type: Array of Objects\n\n ```\n\"itemPrice\": [\n  {\n    \"price\": {Object},\n    \"priceType\": \"String\",\n    \"recurringChargePeriod\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice.price\n\n</td><td>\n\nDescription of the price of the associated product. Data type: Object\n\n ```\n\"price\": {\n  \"taxIncludedAmount\": {Object}\n}\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice.price.taxIncludedAmount\n\n</td><td>\n\nDescription of the price of the associated product, including the tax. Data type: Object\n\n ```\n\"taxIncludedAmount\": {\n  \"unit\": \"String\",\n  \"value\": Number\n}\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice.price.taxIncludedAmount.unit\n\n</td><td>\n\nCurrency code in which the price is depicted. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice.price.taxIncludedAmount.value\n\n</td><td>\n\nPrice of product, including any tax. Data type: Number\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice.priceType\n\n</td><td>\n\nType of item price, recurring or non-recurring. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice.recurringChargePeriod\n\n</td><td>\n\nIf the price is recurring, the recurring period, such as `month`. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.ponr\n\n</td><td>\n\nFlag that indicates whether the point of no return for the order has been reached.Possible values:\n\n-   true: The point of no return for the order has been reached.\n-   false: The point of no return for the order hasn't been reached.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nproductOrderItem.product\n\n</td><td>\n\nDescription of the instance details of the product purchased by the customer. Data type: Object\n\n ```\n\"product:\" {\n  \"place\": {Object},\n  \"productCharacteristic\": [Array],\n  \"productRelationship\": [Array],\n  \"productSpecification\": {Object},\n  \"relatedParty\": {Object},\n  \"@type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.product.place\n\n</td><td>\n\nMaps of the locations on which to install the product. Data type: Object\n\n ```\n\"place\": {\n  \"id\": \"String\",\n  \"@type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.product.place.id\n\n</td><td>\n\nSys\\_id of the associated location record in the Location \\[cmn\\_location\\] table. When employing the change action on a product order item \\(via the**productOrderItem.action** parameter\\), updating the request with a new place sys\\_id creates a move order, where the order is not changed but is fulfilled in a new location. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.place.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for order line item contact. This value is always `Place`. This information is not stored. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productCharacteristic\n\n</td><td>\n\nList of characteristics of the associated product. Only product characteristics whose **value** are different than the **previousValue** are returned.\n\nData type: Array of Objects\n\n```\n\"productCharacteristic\": [ \n {\n  \"name\": \"String\",\n  \"previousValue\": \"String\",\n  \"value\": \"String\",\n  \"valueType\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productCharacteristic.name\n\n</td><td>\n\nName of the characteristic record to associate with the product. Located in the Characteristic \\[sn\\_prd\\_pm\\_characteristic\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productCharacteristic.previousValue\n\n</td><td>\n\nPrevious characteristic option values if the update is for a change order. The request is a change order if the **productOrderItem.action** parameter is other than `add`. For additional information on characteristic option values, see [Create product characteristics and characteristic options](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/som-product-config-add-characteristics.md). Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productCharacteristic.value\n\n</td><td>\n\nCharacteristic option values associated with the product. For additional information on characteristic option values, see [Create product characteristics and characteristic options](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/som-product-config-add-characteristics.md). Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productCharacteristic.valueType\n\n</td><td>\n\nType of characteristic value.Possible values:\n\n-   Array.Date\n-   Array.Datetime\n-   Array.Decimal\n-   Array.Integer\n-   Array.Object\n-   Array.Single Line Test\n-   Checkbox\n-   Choice\n-   Date,Address\n-   Email\n-   Integer,Date/time\n-   Object\n-   Single Line Text\n-   Yes/No\n\nData type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productRelationship\n\n</td><td>\n\nList of product relationship details for an order line item.Data type: Array of Objects\n\n```\n\"productRelationship\": [\n  {\n    \"id\": \"String\",\n    \"relationshipType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productRelationship.id\n\n</td><td>\n\nSys\\_id or sn\\_prd\\_invt\\_external\\_id of the product inventory.Data type: String\n\nTable: In the sys\\_id or sn\\_prd\\_invt\\_external\\_id field of the Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\] table.\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productRelationship.relationshipType\n\n</td><td>\n\nType of relationship between the order line item and the product inventory.Possible value: Requires\n\nData type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productSpecification\n\n</td><td>\n\nDescription of the product specification associated with the product. Data type: Object\n\n```\n\"productSpecification:\" {\n  \"id\": \"String\",\n  \"internalId\": \"String\",\n  \"internalVersion\": \"String\",\n  \"name\": \"String\",\n  \"version\": \"String\",\n  \"@type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productSpecification.id\n\n</td><td>\n\nInitial\\_version or external\\_id of the product specification. The initial\\_version is the sys\\_id of the first version of the specification. Located in the sys\\_id or external\\_id field of the Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productSpecification.internalId\n\n</td><td>\n\nInitial version of the product specification. The initial version is the sys\\_id of the first version of the specification.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productSpecification.internalVersion\n\n</td><td>\n\nVersion of the product specification.Data type: String\n\nTable: In the version field of the Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\] table.\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productSpecification.name\n\n</td><td>\n\nName of the product specification. Located in the Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productSpecification.version\n\n</td><td>\n\nExternal version of the product specification.Data type: String\n\nTable: In the external\\_version field of the Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\] table.\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productSpecification.@type\n\n</td><td>\n\nPart of the TMF Open API standard. This value is always `ProductSpecificationRef`. This information is not stored. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty\n\n</td><td>\n\nOptional. List of contacts for line items. Data type: Array of Objects\n\n```\n\"relatedParty:\" [\n  {\n    \"email\": \"String\",\n    \"firstName\": \"String\",\n    \"id\": \"String\",\n    \"lastName\": \"String\",\n    \"phone\": \"String\",\n    \"@referredType\": \"String\",\n    \"@type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.email\n\n</td><td>\n\nEmail address of the contact. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.firstName\n\n</td><td>\n\nFirst name of the contact. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.id\n\n</td><td>\n\nRequired. Sys\\_id of the line item contact associated with the order line item. Located in the Order Line Item Contact \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\_contact\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.lastName\n\n</td><td>\n\nLast name of the contact. Data type: String\n\nData type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.phone\n\n</td><td>\n\nBusiness phone number of the contact. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.@referredType\n\n</td><td>\n\nType of customer. Possible value: OrderLineItemContact\n\nData type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for order line item contact. This value is always `RelatedParty`. This information is not stored. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.productOffering\n\n</td><td>\n\nDescription of the product offering associated with the product. Data type: Object\n\n```\n\"productOffering:\" {\n  \"id\": \"String\",\n  \"internalId\": \"String\",\n  \"internalVersion\": \"String\",\n  \"name\": \"String\",\n  \"version\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.productOffering.id\n\n</td><td>\n\nInitial\\_version or external\\_id of the product offering. The initial\\_version is the sys\\_id of the first version of the offering. Located in the sys\\_id or external\\_id field of the Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.productOffering.internalId\n\n</td><td>\n\nInitial version of the product offering. The initial version is the sys\\_id of the first version of the offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\n</td></tr><tr><td>\n\nproductOrderItem.productOffering.internalVersion\n\n</td><td>\n\nVersion of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\] table, field version.\n\n</td></tr><tr><td>\n\nproductOrderItem.productOffering.name\n\n</td><td>\n\nName of the product offering. Located in the Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.productOffering.version\n\n</td><td>\n\nExternal version of the product offering.Data type: String\n\nTable: In the external\\_version field of the Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\] table.\n\n</td></tr><tr><td>\n\nproductOrderItem.quantity\n\n</td><td>\n\nNumber of product items purchased.Data type: Number\n\n</td></tr><tr><td>\n\nproductOrderItem.productOrderItemRelationship\n\n</td><td>\n\nConditional. Item-level relationships. If supplied, each entry requires an **id** and **relationshipType**. Data type: Array of Objects\n\n```\n\"productOrderItemRelationship\": [\n  {\n    \"id\": \"String\",\n    \"relationshipType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.productOrderItemRelationship.id\n\n</td><td>\n\nUnique identifier of the related line item. Located in the sn\\_ind\\_tmt\\_orm\\_external\\_id field of the Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.productOrderItemRelationship.relationshipType\n\n</td><td>\n\nRequired. Type of relationship between the two line items. This information is used to identify the relationship hierarchy. Possible values:\n\n-   HasChild\n-   HasParent\n-   Requires\n\n`HasChild` and `HasParent` are used for parent/child relationships. `Requires` is used for horizontal relationships \\(a line item requires another line item\\).\n\nData type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.state\n\n</td><td>\n\nState of the order of the associated product item.Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.version\n\n</td><td>\n\nOrder version.Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the product. This value is always `ProductOrderItem`. This information is not stored.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of contacts for the order. Each contact is an object in the array. Must list at least one item which contains customer account or consumer account information. Data type: Array of Objects\n\n```\n\"relatedParty:\" [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@referredType\": \"String\",\n    \"@type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id or external\\_id of the account, customer contact, or consumer associated with the order. Located in the Account \\[customer\\_account\\], Contact \\[customer\\_contact\\] table, or Consumer \\[csm\\_consumer\\] table. Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.name\n\n</td><td>\n\nName of the account, customer, or consumer.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of customer. Possible values:\n\n-   Consumer\n-   Customer\n-   CustomerContact\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the product. This value is always `RelatedParty`. This information is not stored. Data type: String\n\n</td></tr><tr><td>\n\nrequestedCompletionDate\n\n</td><td>\n\nOptional. Delivery date requested by the customer. Data type: String\n\n</td></tr><tr><td>\n\nrequestedStartDate\n\n</td><td>\n\nOptional. Order start date requested by the customer. Data type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nCurrent state of the order. Data type: String\n\n</td></tr><tr><td>\n\nversion\n\n</td><td>\n\nOrder version.Data type: String\n\n</td></tr><tr><td>\n\n@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the product. This value is always `ProductOrder`. This information is not stored.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example retrieves all product orders.\n\n```\ncurl --location --request GET 'https://instance.service-now.com/api/sn_ind_tmt_orm/order/productOrder' \\\n--user 'username':'password'\n```\n\nResponse body.\n\n```\n[\n   {\n      \"id\": \"8d75939453126010a795ddeeff7b126a\",\n      \"href\": \"/api/sn_ind_tmt_orm/order/productOrder/8d75939453126010a795ddeeff7b126a\",\n      \"ponr\": \"false\",\n      \"orderCurrency\": \"USD\",\n      \"expectedCompletionDate\": \"2021-05-02T08:13:59.000Z\", \n      \"externalId\": \"PO-456\",\n      \"requestedCompletionDate\": \"2021-05-02T08:13:59.000Z\",\n      \"requestedStartDate\": \"2020-05-03T08:13:59.000Z\",\n      \"channel\": [\n         {\n            \"id\": \"1\",\n            \"name\": \"Agent Assist\"\n         }\n      ],\n      \"note\": [\n         {\n            \"author\": \"System Administrator\",\n            \"date\": \"2021-02-25T14:22:07.000Z\",\n            \"text\": \"This is a TMF product order illustration no 2\"\n         },\n         {\n            \"author\": \"System Administrator\",\n            \"date\": \"2021-02-25T14:22:06.000Z\",\n            \"text\": \"This is a TMF product order illustration\"\n         }\n      ],\n      \"productOrderItem\": [\n         {\n            \"id\": \"POI130\",\n            \"ponr\": \"false\",\n            \"quantity\": 1,\n            \"action\": \"add\",\n            \"actionReason\": \"adding service package OLI\",\n            \"itemPrice\": [\n               {\n                  \"priceType\": \"recurring\",\n                  \"price\": {\n                     \"taxIncludedAmount\": {\n                        \"unit\": \"USD\",\n                        \"value\": 20\n                     }\n                  }\n               },\n               {\n                  \"priceType\": \"nonRecurring\",\n                  \"price\": {\n                     \"taxIncludedAmount\": {\n                        \"unit\": \"INR\",\n                        \"value\": 0\n                     }\n                  }\n               }\n            ],\n            \"product\": {\n               \"@type\": \"Product\",\n               \"productCharacteristic\": [\n                  {\n                     \"name\": \"Security Type\",\n                     \"valueType\": \"Choice\",\n                     \"value\": \"Base\",\n                     \"previousValue\": \"\"\n                  }\n               ],\n               \"productSpecification\": {\n                  \"id\": \"a6514bd3534560102f18ddeeff7b1247\",\n                  \"name\": \"SD-WAN Security\",\n                  \"version\": \"v1\",\n                  \"internalVersion\": \"1\",\n                  \"internalId\": \"a6514bd3534560102f18ddeeff7b1247\",\n                  \"@type\": \"ProductSpecificationRef\"\n               },\n               \"relatedParty\": [\n                  {\n                     \"id\": \"4175939453126010a795ddeeff7b127d\",\n                     \"name\": \"John Smith\",\n                     \"email\": \"abc2@example.com\",\n                     \"phone\": \"32456768\",\n                     \"@type\": \"RelatedParty\",\n                     \"@referredType\": \"OrderLineItemContact\"\n                  },\n                  {\n                     \"id\": \"c175939453126010a795ddeeff7b127c\",\n                     \"name\": \"Joe Doe\",\n                     \"email\": \"abc@example.com\",\n                     \"phone\": \"1234567890\",\n                     \"@type\": \"RelatedParty\",\n                     \"@referredType\": \"OrderLineItemContact\"\n                  }\n               ]\n            },\n            \"productOffering\": {\n               \"id\": \"69017a0f536520103b6bddeeff7b127d\",\n               \"name\": \"Premium SD-WAN Offering\",\n               \"version\": \"v1\",\n               \"internalId\": \"69017a0f536520103b6bddeeff7b127d\",\n               \"internalVersion\": \"1\"\n            },\n            \"productOrderItemRelationship\": [\n               {\n                  \"id\": \"POI100\",\n                  \"relationshipType\": \"HasParent\"\n               }\n            ],\n            \"state\": \"in_progress\",\n            \"version\": \"1\",\n            \"@type\": \"ProductOrderItem\"\n         },\n         {\n            \"id\": \"POI100\",\n            \"ponr\": \"false\",\n            \"quantity\": 1,\n            \"action\": \"add\",\n            \"itemPrice\": [\n               {\n                  \"priceType\": \"recurring\",\n                  \"price\": {\n                     \"taxIncludedAmount\": {\n                        \"unit\": \"INR\",\n                        \"value\": 0\n                     }\n                  }\n               },\n               {\n                  \"priceType\": \"nonRecurring\",\n                  \"price\": {\n                     \"taxIncludedAmount\": {\n                        \"unit\": \"INR\",\n                        \"value\": 0\n                     }\n                  }\n               }\n            ],\n            \"product\": {\n               \"@type\": \"Product\",\n               \"productSpecification\": {\n                  \"id\": \"cfe5ef6a53702010cd6dddeeff7b12f6\",\n                  \"name\": \"SD-WAN Service Package\",\n                  \"version\": \"v1\",\n                  \"internalVersion\": \"1\",\n                  \"internalId\": \"cfe5ef6a53702010cd6dddeeff7b12f6\",\n                  \"@type\": \"ProductSpecificationRef\"\n               }\n            },\n            \"productOffering\": {\n               \"id\": \"69017a0f536520103b6bddeeff7b127d\",\n               \"name\": \"Premium SD-WAN Offering\",\n               \"version\": \"v1\",\n               \"internalId\": \"69017a0f536520103b6bddeeff7b127d\",\n               \"internalVersion\": \"1\"\n            },\n            \"productOrderItemRelationship\": [\n               {\n                  \"id\": \"POI130\",\n                  \"relationshipType\": \"HasChild\"\n               },\n               {\n                  \"id\": \"POI120\",\n                  \"relationshipType\": \"HasChild\"\n               },\n               {\n                  \"id\": \"POI110\",\n                  \"relationshipType\": \"HasChild\"\n               }\n            ],\n            \"state\": \"in_progress\",\n            \"version\": \"1\",\n            \"@type\": \"ProductOrderItem\"\n         },\n         {\n            \"id\": \"POI120\",\n            \"ponr\": \"false\",\n            \"quantity\": 1,\n            \"action\": \"add\",\n            \"itemPrice\": [\n               {\n                  \"priceType\": \"recurring\",\n                  \"price\": {\n                     \"taxIncludedAmount\": {\n                        \"unit\": \"USD\",\n                        \"value\": 20\n                     }\n                  }\n               },\n               {\n                  \"priceType\": \"nonRecurring\",\n                  \"price\": {\n                     \"taxIncludedAmount\": {\n                        \"unit\": \"INR\",\n                        \"value\": 0\n                     }\n                  }\n               }\n            ],\n            \"product\": {\n               \"@type\": \"Product\",\n               \"productCharacteristic\": [\n                  {\n                     \"name\": \"CPE Type\",\n                     \"valueType\": \"Choice\",\n                     \"value\": \"Physical\",\n                     \"previousValue\": \"\"\n                  },\n                  {\n                     \"name\": \"WAN Optimization\",\n                     \"valueType\": \"Choice\",\n                     \"value\": \"Advance\",\n                     \"previousValue\": \"\"\n                  },\n                  {\n                     \"name\": \"Routing\",\n                     \"valueType\": \"Choice\",\n                     \"value\": \"Premium\",\n                     \"previousValue\": \"\"\n                  },\n                  {\n                     \"name\": \"CPE Model\",\n                     \"valueType\": \"Choice\",\n                     \"value\": \"ASR\",\n                     \"previousValue\": \"\"\n                  }\n               ],\n               \"productSpecification\": {\n                  \"id\": \"39b627aa53702010cd6dddeeff7b1202\",\n                  \"name\": \"SD-WAN Edge Device\",\n                  \"version\": \"v1\",\n                  \"internalVersion\": \"1\",\n                  \"internalId\": \"39b627aa53702010cd6dddeeff7b1202\",\n                  \"@type\": \"ProductSpecificationRef\"\n               },\n               \"productRelationship\": [\n                  {\n                     \"id\": \"326d13f45b5620102dff5e92dc81c785\",\n                     \"relationshipType\": \"Requires\"\n                  }\n               ]\n            },\n            \"productOffering\": {\n               \"id\": \"69017a0f536520103b6bddeeff7b127d\",\n               \"name\": \"Premium SD-WAN Offering\",\n               \"version\": \"v1\",\n               \"internalVersion\": \"1\",\n               \"internalId\": \"69017a0f536520103b6bddeeff7b127d\"\n            },\n            \"productOrderItemRelationship\": [\n               {\n                  \"id\": \"POI100\",\n                  \"relationshipType\": \"HasParent\"\n               },\n               {\n                  \"id\": \"POI110\",\n                  \"relationshipType\": \"Requires\"\n               }       \n            ],\n            \"state\": \"in_progress\",\n            \"version\": \"1\",\n            \"@type\": \"ProductOrderItem\"\n         },\n         {\n            \"id\": \"POI110\",\n            \"ponr\": \"false\",\n            \"quantity\": 1,\n            \"action\": \"add\",\n            \"itemPrice\": [\n               {\n                  \"priceType\": \"recurring\",\n                  \"price\": {\n                     \"taxIncludedAmount\": {\n                        \"unit\": \"INR\",\n                        \"value\": 0\n                     }\n                  }\n               },\n               {\n                  \"priceType\": \"nonRecurring\",\n                  \"price\": {\n                     \"taxIncludedAmount\": {\n                        \"unit\": \"USD\",\n                        \"value\": 5\n                     }\n                  }\n               }\n            ],\n            \"product\": {\n               \"@type\": \"Product\",\n               \"productCharacteristic\": [\n                  {\n                     \"name\": \"Tenancy\",\n                     \"valueType\": \"Choice\",\n                     \"value\": \"Base (10 site)\",\n                     \"previousValue\": \"\"\n                  }\n               ],\n               \"productSpecification\": {\n                  \"id\": \"216663aa53702010cd6dddeeff7b12b5\",\n                  \"name\": \"SD-WAN Controller\",\n                  \"version\": \"v1\",\n                  \"internalVersion\": \"1\",\n                  \"internalId\": \"216663aa53702010cd6dddeeff7b12b5\",\n                  \"@type\": \"ProductSpecificationRef\"\n               },\n               \"place\": {\n                  \"id\": \"25ab9c4d0a0a0bb300f7dabdc0ca7c1c\",\n                  \"@type\": \"Place\"\n               }\n            },\n            \"productOffering\": {\n               \"id\": \"69017a0f536520103b6bddeeff7b127d\",\n               \"name\": \"Premium SD-WAN Offering\",\n               \"version\": \"v1\",\n               \"internalId\": \"69017a0f536520103b6bddeeff7b127d\",\n               \"internalVersion\": \"1\"\n            },\n            \"productOrderItemRelationship\": [\n               {\n                  \"id\": \"POI100\",\n                  \"relationshipType\": \"HasParent\"\n               }\n            ],\n            \"state\": \"in_progress\",\n            \"version\": \"1\",\n            \"@type\": \"ProductOrderItem\"\n         }\n      ],\n      \"relatedParty\": [\n        {\n            \"id\": \"eaf68911c35420105252716b7d40ddde\",\n            \"name\": \"Sally Thomas\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"CustomerContact\"\n        },\n        {\n            \"id\": \"ffc68911c35420105252716b7d40dd55\",\n            \"name\": \"Funco Intl\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"Customer\"\n        },\n        {\n            \"id\": \"59f16de1c3b67110ff00ed23a140dd9e\",\n            \"name\": \"Funco External\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"Consumer\"\n        }\n    ],\n      \"state\": \"in_progress\",\n      \"version\": \"1\",\n      \"@type\": \"ProductOrder\"\n   }\n]\n```\n\n## Product Order Open API - GET /sn\\_ind\\_tmt\\_orm/productorder\n\nRetrieves all product orders.\n\n**Important:** Starting with the Tokyo release, this endpoint is deprecated. The new version of this endpoint is [Product Order Open API - GET /sn\\_ind\\_tmt\\_orm/order/productOrder](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/tmf622_product_ordering-api.md).\n\nThis endpoint retrieves order information from the following tables:\n\n-   Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n-   Order Characteristic \\[sn\\_ind\\_tmt\\_orm\\_order\\_characteristic\\_value\\]\n-   Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\]\n-   Order Line Item Contact \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\_contact\\]\n\n### URL format\n\nDefault URL: `/api/sn_ind_tmt_orm/productorder`\n\n### Supported request parameters\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n<table id=\"table_pfr_vgy_fsb\" class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nfields\n\n</td><td>\n\nList of fields to return in the response. Invalid fields are ignored. Data type: String\n\nDefault: All fields returned.\n\n</td></tr><tr><td>\n\nlimit\n\n</td><td>\n\nMaximum number of records to return. For requests that exceed this number of records, use the **offset** parameter to paginate record retrieval. Data type: Number\n\nDefault: 20\n\nMaximum: 100\n\n</td></tr><tr><td>\n\noffset\n\n</td><td>\n\nStarting index at which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks.Data type: Number\n\nDefault: 0\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nFilter orders by state. Only orders with a state matching the value of this parameter are returned in the response.Data type: String\n\nDefault: All states returned.\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n<table id=\"table_h4r_fxr_nsb\" class=\"rest_api_response_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr id=\"content-range-row\"><td>\n\nContent-Range\n\n</td><td>\n\nRange of content returned in a paginated call. For example, if `offset=2` and `limit=3`, the value of the **Content-Range** header is `items 3-5`.\n\n</td></tr><tr id=\"content-type-row\"><td>\n\nContent-Type\n\n</td><td>\n\nData format of the response body. Only supports **application/json**.\n\n</td></tr><tr id=\"links-pagination-row\"><td>\n\nLink\n\n</td><td>\n\nContains the following links to navigate through query results.-   first\n-   last\n-   next\n-   previous\n\n</td></tr><tr id=\"x-total-count-row\"><td id=\"x-total-count\">\n\nX-Total-Count\n\n</td><td>\n\nFor paginated queries, this header specifies the total number of records available on the server.\n\n</td></tr></tbody>\n</table>### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_wdl_3xr_nsb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"tmf-get-status-200-entry\">\n\nRequest successfully processed. Full resource returned in response \\(no pagination\\).\n\n</td></tr><tr><td>\n\n206\n\n</td><td id=\"tmf-get-status-206-entry\">\n\nPartial resource returned in response \\(with pagination\\).\n\n</td></tr><tr><td>\n\n400\n\n</td><td id=\"tmf-get-status-400-entry\">\n\nBad request. Possible reasons:\n\n-   Invalid path parameter\n-   Invalid URI\n\n</td></tr><tr><td>\n\n404\n\n</td><td id=\"tmf-get-status-404-entry\">\n\nRecord not found. No records matching the query parameters are found in the table.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table id=\"table_inf_kxr_nsb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nchannel\n\n</td><td>\n\nList of channels to use for selling the products. Data type: Array of Objects\n\n```\n\"channel\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nchannel.id\n\n</td><td>\n\nUnique identifier of the channel to use to sell the associated products. Data type: String\n\n</td></tr><tr><td>\n\nchannel.name\n\n</td><td>\n\nName of the channel to use to sell the associated products. Data type: String\n\n</td></tr><tr><td>\n\nexpectedCompletionDate\n\n</td><td>\n\nDate on which the order will be completed.Data type: String\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td>\n\nExternal system identifier that links the product order to your source system or third-party application.Data type: String\n\n</td></tr><tr><td>\n\nnote\n\n</td><td>\n\nOptional. List of additional notes made by the customer when ordering. Data type: Array of Objects\n\n```\n\"note\": {\n  \"author\": \"String\",\n  \"date\": \"String\",\n  \"text\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nnote.author\n\n</td><td>\n\nUser name of the person that authored the associated note.Data type: String\n\n</td></tr><tr><td>\n\nnote.date\n\n</td><td>\n\nDate that the note was created.Data type: String\n\n</td></tr><tr><td>\n\nnote.text\n\n</td><td>\n\nAdditional notes/comments made by the customer while ordering. Data type: String\n\n</td></tr><tr><td>\n\nponr\n\n</td><td>\n\nFlag that indicates whether the point of no return for the order has been reached.Possible values:\n\n-   true: The point of no return for the order has been reached.\n-   false: The point of no return for the order hasn't been reached.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nproductOrderItem\n\n</td><td>\n\nList that describes items associated with the product order and their associated action. Data type: Array of Objects\n\n```\n\"productOrderItem:\" [\n  {\n    \"action\": \"String\",\n    \"actionReason\": \"String\",\n    \"id\": \"String\",\n    \"itemPrice\": [Array],\n    \"product\": {Object},\n    \"productOffering\": {Object},\n    \"productOrderItemReleationship\": [Array],\n    \"quantity\": Number,\n    \"state\": \"String\",\n    \"@type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.action\n\n</td><td>\n\nAction to carry out on the product. Possible actions are defined on the Choice List tab in the Action Dictionary Entry of the sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.actionReason\n\n</td><td>\n\nReason for adding the order line item.Data type: String\n\nStored in: The action\\_reason field of the sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item table.\n\n</td></tr><tr><td>\n\nproductOrderItem.id\n\n</td><td>\n\nUnique identifier of the line item. Located in the sn\\_ind\\_tmt\\_orm\\_external\\_id field of the Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice\n\n</td><td>\n\nList that describes the price associated with the product. Data type: Array of Objects\n\n```\n\"itemPrice\": [\n  {\n    \"price\": {Object},\n    \"priceType\": \"String\",\n    \"recurringChargePeriod\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice.price\n\n</td><td>\n\nDescription of the price of the associated product. Data type: Object\n\n```\n\"price\": {\n  \"taxIncludedAmount\": {Object}\n}\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice.price.taxIncludedAmount\n\n</td><td>\n\nDescription of the price of the associated product, including the tax. Data type: Object\n\n```\n\"taxIncludedAmount\": {\n  \"unit\": \"String\",\n  \"value\": Number\n}\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice.price.taxIncludedAmount.unit\n\n</td><td>\n\nCurrency code in which the price is depicted. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice.price.taxIncludedAmount.value\n\n</td><td>\n\nPrice of product, including any tax. Data type: Number\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice.priceType\n\n</td><td>\n\nType of item price, recurring or non-recurring. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice.recurringChargePeriod\n\n</td><td>\n\nIf the price is recurring, the recurring period, such as `month`. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.ponr\n\n</td><td>\n\nFlag that indicates whether the point of no return for the order has been reached.Possible values:\n\n-   true: The point of no return for the order has been reached.\n-   false: The point of no return for the order hasn't been reached.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nproductOrderItem.product\n\n</td><td>\n\nDescription of the instance details of the product purchased by the customer. Data type: Object\n\n```\n\"product:\" {\n  \"place\": {Object},\n  \"productCharacteristic\": [Array],\n  \"productSpecification\": {Object},\n  \"relatedParty\": {Object},\n  \"@type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.product.place\n\n</td><td>\n\nMaps of the locations on which to install the product. Data type: Object\n\n```\n\"place\": {\n  \"id\": \"String\",\n  \"@type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.product.place.id\n\n</td><td>\n\nSys\\_id of the associated location record in the Location \\[cmn\\_location\\] table. When employing the change action on a product order item \\(via the**productOrderItem.action** parameter\\), updating the request with a new place sys\\_id creates a move order, where the order is not changed but is fulfilled in a new location. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.place.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for order line item contact. This value is always `Place`. This information is not stored. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productCharacteristic\n\n</td><td>\n\nList of characteristics of the associated product. Only product characteristics whose **value** are different than the **previousValue** are returned.\n\nData type: Array of Objects\n\n```\n\"productCharacteristic\": [ \n {\n  \"name\": \"String\",\n  \"previousValue\": \"String\",\n  \"value\": \"String\",\n  \"valueType\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productCharacteristic.name\n\n</td><td>\n\nName of the characteristic record to associate with the product. Located in the Characteristic \\[sn\\_prd\\_pm\\_characteristic\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productCharacteristic.previousValue\n\n</td><td>\n\nPrevious characteristic option values if the update is for a change order. The request is a change order if the **productOrderItem.action** parameter is other than `add`. For additional information on characteristic option values, see [Create product characteristics and characteristic options](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/som-product-config-add-characteristics.md). Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productCharacteristic.value\n\n</td><td>\n\nCharacteristic option values associated with the product. For additional information on characteristic option values, see [Create product characteristics and characteristic options](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/som-product-config-add-characteristics.md). Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productCharacteristic.valueType\n\n</td><td>\n\nType of characteristic value.Possible values:\n\n-   Array.Date\n-   Array.Datetime\n-   Array.Decimal\n-   Array.Integer\n-   Array.Object\n-   Array.Single Line Test\n-   Checkbox\n-   Choice\n-   Date,Address\n-   Email\n-   Integer,Date/time\n-   Object\n-   Single Line Text\n-   Yes/No\n\nData type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productSpecification\n\n</td><td>\n\nDescription of the product specification associated with the product. Data type: Object\n\n```\n\"productSpecification:\" {\n  \"id\": \"String\",\n  \"name\": \"String\",\n  \"@type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productSpecification.id\n\n</td><td>\n\nInitial\\_version or external\\_id of the product specification. The initial\\_version is the sys\\_id of the first version of the specification. Located in the sys\\_id or external\\_id field of the Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productSpecification.name\n\n</td><td>\n\nName of the product specification. Located in the Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productSpecification.@type\n\n</td><td>\n\nPart of the TMF Open API standard. This value is always `ProductSpecificationRef`. This information is not stored. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty\n\n</td><td>\n\nOptional. List of contacts for line items. Data type: Array of Objects\n\n```\n\"relatedParty:\" {\n  \"email\": \"String\",\n  \"firstName\": \"String\",\n  \"id\": \"String\",\n  \"lastName\": \"String\",\n  \"phone\": \"String\",\n  \"@referredType\": \"String\",\n  \"@type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.email\n\n</td><td>\n\nEmail address of the contact. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.firstName\n\n</td><td>\n\nFirst name of the contact. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.id\n\n</td><td>\n\nRequired. Sys\\_id of the line item contact associated with the order line item. Located in the Order Line Item Contact \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\_contact\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.lastName\n\n</td><td>\n\nLast name of the contact. Data type: String\n\nData type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.phone\n\n</td><td>\n\nBusiness phone number of the contact. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.@referredType\n\n</td><td>\n\nType of customer. Possible value: OrderLineItemContact\n\nData type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for order line item contact. This value is always `RelatedParty`. This information is not stored. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.productOffering\n\n</td><td>\n\nDescription of the product offering associated with the product. Data type: Object\n\n```\n\"productOffering\": {\n  \"id\": \"String\",\n  \"internalVersion\": \"String\",\n  \"name\": \"String\",\n  \"version\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.productOffering.id\n\n</td><td>\n\nInitial\\_version or external\\_id of the product offering. The initial\\_version is the sys\\_id of the first version of the offering. Located in the sys\\_id or external\\_id field of the Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.productOffering.name\n\n</td><td>\n\nName of the product offering. Located in the Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.quantity\n\n</td><td>\n\nNumber of product items purchased.Data type: Number\n\n</td></tr><tr><td>\n\nproductOrderItem.productOrderItemRelationship\n\n</td><td>\n\nConditional. Item-level relationships. If supplied, each entry requires an **id** and **relationshipType**. Data type: Array of Objects\n\n```\n\"productOrderItemRelationship\": [\n  {\n    \"id\": \"String\",\n    \"relationshipType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.productOrderItemRelationship.id\n\n</td><td>\n\nUnique identifier of the related line item. Located in the sn\\_ind\\_tmt\\_orm\\_external\\_id field of the Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.productOrderItemRelationship.relationshipType\n\n</td><td>\n\nRequired. Type of relationship between the two line items. This information is used to identify the relationship hierarchy. Possible values:\n\n-   HasChild\n-   HasParent\n-   Requires\n\n`HasChild` and `HasParent` are used for parent/child relationships. `Requires` is used for horizontal relationships \\(a line item requires another line item\\).\n\nData type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.state\n\n</td><td>\n\nState of the order of the associated product item.Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.version\n\n</td><td>\n\nOrder version.Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the product. This value is always `ProductOrderItem`. This information is not stored.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of contacts for the order. Each contact is an object in the array. Must list at least one item which contains customer account or consumer account information. Data type: Array of Objects\n\n```\n\"relatedParty:\" [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@referredType\": \"String\",\n    \"@type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id or external\\_id of the account, customer contact, or consumer associated with the order. Located in the Account \\[customer\\_account\\], Contact \\[customer\\_contact\\] table, or Consumer \\[csm\\_consumer\\] table. Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.name\n\n</td><td>\n\nName of the account, customer, or consumer.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of customer. Possible values:\n\n-   Consumer\n-   Customer\n-   CustomerContact\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the product. This value is always `RelatedParty`. This information is not stored. Data type: String\n\n</td></tr><tr><td>\n\nrequestedCompletionDate\n\n</td><td>\n\nOptional. Delivery date requested by the customer. Data type: String\n\n</td></tr><tr><td>\n\nrequestedStartDate\n\n</td><td>\n\nOptional. Order start date requested by the customer. Data type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nCurrent state of the order. Data type: String\n\n</td></tr><tr><td>\n\nversion\n\n</td><td>\n\nOrder version.Data type: String\n\n</td></tr><tr><td>\n\n@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the product. This value is always `ProductOrder`. This information is not stored.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example retrieves all product orders.\n\n```\ncurl --location --request GET 'https://instance.servicenow.com/api/sn_ind_tmt_orm/productorder' \\\n--user 'username':'password'\n\n\n```\n\nResponse body.\n\n```\n[\n   {\n      \"id\": \"8d75939453126010a795ddeeff7b126a\",\n      \"ponr\": \"false\",\n      \"expectedCompletionDate\": \"2021-05-02T08:13:59.000Z\",\n      \"externalId\": \"PO-456\",\n      \"requestedCompletionDate\": \"2021-05-02T08:13:59.000Z\",\n      \"requestedStartDate\": \"2020-05-03T08:13:59.000Z\",\n      \"channel\": [\n         {\n            \"id\": \"1\",\n            \"name\": \"Agent Assist\"\n         }\n      ],\n      \"note\": [\n         {\n            \"author\": \"System Administrator\",\n            \"date\": \"2021-02-25T14:22:07.000Z\",\n            \"text\": \"This is a TMF product order illustration no 2\"\n         },\n         {\n            \"author\": \"System Administrator\",\n            \"date\": \"2021-02-25T14:22:06.000Z\",\n            \"text\": \"This is a TMF product order illustration\"\n         }\n      ],\n      \"productOrderItem\": [\n         {\n            \"id\": \"POI130\",\n            \"ponr\": \"false\",\n            \"quantity\": 1,\n            \"action\": \"add\",\n            \"actionReason\": \"adding service package OLI\",\n            \"itemPrice\": [\n               {\n                  \"priceType\": \"recurring\",\n                  \"price\": {\n                     \"taxIncludedAmount\": {\n                        \"unit\": \"USD\",\n                        \"value\": 20\n                     }\n                  }\n               },\n               {\n                  \"priceType\": \"nonRecurring\",\n                  \"price\": {\n                     \"taxIncludedAmount\": {\n                        \"unit\": \"INR\",\n                        \"value\": 0\n                     }\n                  }\n               }\n            ],\n            \"product\": {\n               \"@type\": \"Product\",\n               \"productCharacteristic\": [\n                  {\n                     \"name\": \"Security Type\",\n                     \"valueType\": \"Choice\",\n                     \"value\": \"Base\",\n                     \"previousValue\": \"\"\n                  }\n               ],\n               \"productSpecification\": {\n                  \"id\": \"a6514bd3534560102f18ddeeff7b1247\",\n                  \"name\": \"SD-WAN Security\",\n                  \"@type\": \"ProductSpecificationRef\"\n               },\n               \"relatedParty\": [\n                  {\n                     \"id\": \"4175939453126010a795ddeeff7b127d\",\n                     \"name\": \"John Smith\",\n                     \"email\": \"abc2@example.com\",\n                     \"phone\": \"32456768\",\n                     \"@type\": \"RelatedParty\",\n                     \"@referredType\": \"OrderLineItemContact\"\n                  },\n                  {\n                     \"id\": \"c175939453126010a795ddeeff7b127c\",\n                     \"name\": \"Joe Doe\",\n                     \"email\": \"abc@example.com\",\n                     \"phone\": \"1234567890\",\n                     \"@type\": \"RelatedParty\",\n                     \"@referredType\": \"OrderLineItemContact\"\n                  }\n               ]\n            },\n            \"productOffering\": {\n               \"id\": \"69017a0f536520103b6bddeeff7b127d\",\n               \"name\": \"Premium SD-WAN Offering\"\n            },\n            \"productOrderItemRelationship\": [\n               {\n                  \"id\": \"POI100\",\n                  \"relationshipType\": \"HasParent\"\n               }\n            ],\n            \"state\": \"in_progress\",\n            \"version\": \"1\",\n            \"@type\": \"ProductOrderItem\"\n         },\n         {\n            \"id\": \"POI100\",\n            \"ponr\": \"false\",\n            \"quantity\": 1,\n            \"action\": \"add\",\n            \"itemPrice\": [\n               {\n                  \"priceType\": \"recurring\",\n                  \"price\": {\n                     \"taxIncludedAmount\": {\n                        \"unit\": \"INR\",\n                        \"value\": 0\n                     }\n                  }\n               },\n               {\n                  \"priceType\": \"nonRecurring\",\n                  \"price\": {\n                     \"taxIncludedAmount\": {\n                        \"unit\": \"INR\",\n                        \"value\": 0\n                     }\n                  }\n               }\n            ],\n            \"product\": {\n               \"@type\": \"Product\",\n               \"productSpecification\": {\n                  \"id\": \"cfe5ef6a53702010cd6dddeeff7b12f6\",\n                  \"name\": \"SD-WAN Service Package\",\n                  \"@type\": \"ProductSpecificationRef\"\n               }\n            },\n            \"productOffering\": {\n               \"id\": \"69017a0f536520103b6bddeeff7b127d\",\n               \"name\": \"Premium SD-WAN Offering\"\n            },\n            \"productOrderItemRelationship\": [\n               {\n                  \"id\": \"POI130\",\n                  \"relationshipType\": \"HasChild\"\n               },\n               {\n                  \"id\": \"POI120\",\n                  \"relationshipType\": \"HasChild\"\n               },\n               {\n                  \"id\": \"POI110\",\n                  \"relationshipType\": \"HasChild\"\n               }\n            ],\n            \"state\": \"in_progress\",\n            \"version\": \"1\",\n            \"@type\": \"ProductOrderItem\"\n         },\n         {\n            \"id\": \"POI120\",\n            \"ponr\": \"false\",\n            \"quantity\": 1,\n            \"action\": \"add\",\n            \"actionReason\":\"adding service package OLI\",\n            \"itemPrice\": [\n               {\n                  \"priceType\": \"recurring\",\n                  \"price\": {\n                     \"taxIncludedAmount\": {\n                        \"unit\": \"USD\",\n                        \"value\": 20\n                     }\n                  }\n               },\n               {\n                  \"priceType\": \"nonRecurring\",\n                  \"price\": {\n                     \"taxIncludedAmount\": {\n                        \"unit\": \"INR\",\n                        \"value\": 0\n                     }\n                  }\n               }\n            ],\n            \"product\": {\n               \"@type\": \"Product\",\n               \"productCharacteristic\": [\n                  {\n                     \"name\": \"CPE Type\",\n                     \"valueType\": \"Choice\",\n                     \"value\": \"Physical\",\n                     \"previousValue\": \"\"\n                  },\n                  {\n                     \"name\": \"WAN Optimization\",\n                     \"valueType\": \"Choice\",\n                     \"value\": \"Advance\",\n                     \"previousValue\": \"\"\n                  },\n                  {\n                     \"name\": \"Routing\",\n                     \"valueType\": \"Choice\",\n                     \"value\": \"Premium\",\n                     \"previousValue\": \"\"\n                  },\n                  {\n                     \"name\": \"CPE Model\",\n                     \"valueType\": \"Choice\",\n                     \"value\": \"ASR\",\n                     \"previousValue\": \"\"\n                  }\n               ],\n               \"productSpecification\": {\n                  \"id\": \"39b627aa53702010cd6dddeeff7b1202\",\n                  \"name\": \"SD-WAN Edge Device\",\n                  \"@type\": \"ProductSpecificationRef\"\n               }\n            },\n            \"productOffering\": {\n               \"id\": \"69017a0f536520103b6bddeeff7b127d\",\n               \"name\": \"Premium SD-WAN Offering\"\n            },\n            \"productOrderItemRelationship\": [\n               {\n                  \"id\": \"POI100\",\n                  \"relationshipType\": \"HasParent\"\n               }\n            ],\n            \"state\": \"in_progress\",\n            \"version\": \"1\",\n            \"@type\": \"ProductOrderItem\"\n         },\n         {\n            \"id\": \"POI110\",\n            \"ponr\": \"false\",\n            \"quantity\": 1,\n            \"action\": \"add\",\n            \"actionReason\": \"adding service package OLI\",\n            \"itemPrice\": [\n               {\n                  \"priceType\": \"recurring\",\n                  \"price\": {\n                     \"taxIncludedAmount\": {\n                        \"unit\": \"INR\",\n                        \"value\": 0\n                     }\n                  }\n               },\n               {\n                  \"priceType\": \"nonRecurring\",\n                  \"price\": {\n                     \"taxIncludedAmount\": {\n                        \"unit\": \"USD\",\n                        \"value\": 5\n                     }\n                  }\n               }\n            ],\n            \"product\": {\n               \"@type\": \"Product\",\n               \"productCharacteristic\": [\n                  {\n                     \"name\": \"Tenancy\",\n                     \"valueType\": \"Choice\",\n                     \"value\": \"Base (10 site)\",\n                     \"previousValue\": \"\"\n                  }\n               ],\n               \"productSpecification\": {\n                  \"id\": \"216663aa53702010cd6dddeeff7b12b5\",\n                  \"name\": \"SD-WAN Controller\",\n                  \"@type\": \"ProductSpecificationRef\"\n               },\n               \"place\": {\n                  \"id\": \"25ab9c4d0a0a0bb300f7dabdc0ca7c1c\",\n                  \"@type\": \"Place\"\n               }\n            },\n            \"productOffering\": {\n               \"id\": \"69017a0f536520103b6bddeeff7b127d\",\n               \"name\": \"Premium SD-WAN Offering\"\n            },\n            \"productOrderItemRelationship\": [\n               {\n                  \"id\": \"POI100\",\n                  \"relationshipType\": \"HasParent\"\n               }\n            ],\n            \"state\": \"in_progress\",\n            \"version\": \"1\",\n            \"@type\": \"ProductOrderItem\"\n         }\n      ],\n      \"relatedParty\": [\n        {\n            \"id\": \"eaf68911c35420105252716b7d40ddde\",\n            \"name\": \"Sally Thomas\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"CustomerContact\"\n        },\n        {\n            \"id\": \"ffc68911c35420105252716b7d40dd55\",\n            \"name\": \"Funco Intl\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"Customer\"\n        },\n        {\n            \"id\": \"59f16de1c3b67110ff00ed23a140dd9e\",\n            \"name\": \"Funco External\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"Consumer\"\n        }\n    ],\n      \"state\": \"in_progress\",\n      \"version\": \"1\",\n      \"@type\": \"ProductOrder\"\n   }\n]\n```\n\n## Product Order Open API - GET /sn\\_ind\\_tmt\\_orm/productorder/\\{id\\}\n\nRetrieves the specified product order.\n\n**Important:** Starting with the Tokyo release, this endpoint is deprecated. The new version of this endpoint is [Product Order Open API - GET /sn\\_ind\\_tmt\\_orm/productorder/\\{id\\}](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/tmf622_product_ordering-api.md).\n\nThis endpoint retrieves order information from the following tables:\n\n-   Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n-   Order Characteristic \\[sn\\_ind\\_tmt\\_orm\\_order\\_characteristic\\_value\\]\n-   Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\]\n-   Order Line Item Contact \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\_contact\\]\n\n### URL format\n\nDefault URL: `/api/sn_ind_tmt_orm/productorder/{id}`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id or external\\_id of the customer order to retrieve.Data type: String\n\nTable: Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n|Header|Description|\n|------|-----------|\n|Content-Type|Data format of the response body. Only supports **application/json**.|\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n201\n\n</td><td>\n\nSuccessful. The request was successfully processed.\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nBad Request. Can be for any of the following reasons:-   Missing query parameter\n-   Invalid URI\n\n</td></tr><tr><td>\n\n404\n\n</td><td id=\"entry-404-status-code\">\n\nNot found. The requested item wasn't found.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nchannel\n\n</td><td>\n\nList of channels to use for selling the products. Data type: Array of Objects\n\n```\n\"channel\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nchannel.id\n\n</td><td>\n\nUnique identifier of the channel to use to sell the associated products. Data type: String\n\n</td></tr><tr><td>\n\nchannel.name\n\n</td><td>\n\nName of the channel to use to sell the associated products. Data type: String\n\n</td></tr><tr><td>\n\nexpectedCompletionDate\n\n</td><td>\n\nDate on which the order will be completed.Data type: String\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td>\n\nExternal system identifier that links the product order to your source system or third-party application.Data type: String\n\n</td></tr><tr><td>\n\nnote\n\n</td><td>\n\nOptional. List of additional notes made by the customer when ordering. Data type: Object\n\n```\n\"note\": {\n  \"author\": \"String\",\n  \"date\": \"String\",\n  \"text\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nnote.author\n\n</td><td>\n\nUser name of the person that authored the associated note.Data type: String\n\n</td></tr><tr><td>\n\nnote.date\n\n</td><td>\n\nDate that the note was created.Data type: String\n\n</td></tr><tr><td>\n\nnote.text\n\n</td><td>\n\nAdditional notes/comments made by the customer while ordering. Data type: String\n\n</td></tr><tr><td>\n\nponr\n\n</td><td>\n\nFlag that indicates whether the point of no return for the order has been reached.Possible values:\n\n-   true: The point of no return for the order has been reached.\n-   false: The point of no return for the order hasn't been reached.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nproductOrderItem\n\n</td><td>\n\nList that describes items associated with the product order and their associated action. Data type: Array of Objects\n\n```\n\"productOrderItem:\" [\n  {\n    \"action\": \"String\",\n    \"actionReason\": \"String\",\n    \"id\": \"String\",\n    \"itemPrice\": [Array],\n    \"product\": {Object},\n    \"productOffering\": {Object},\n    \"productOrderItemReleationship\": [Array],\n    \"quantity\": Number,\n    \"state\": \"String\",\n    \"@type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.action\n\n</td><td>\n\nAction to carry out on the product. Possible actions are defined on the Choice List tab in the Action Dictionary Entry of the sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.actionReason\n\n</td><td>\n\nReason for adding the order line item.Data type: String\n\nStored in: The action\\_reason field of the sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item table.\n\n</td></tr><tr><td>\n\nproductOrderItem.id\n\n</td><td>\n\nUnique identifier of the line item. Located in the sn\\_ind\\_tmt\\_orm\\_external\\_id field of the Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice\n\n</td><td>\n\nList that describes the price associated with the product. Data type: Array of Objects\n\n```\n\"itemPrice\": [\n  {\n    \"price\": {Object},\n    \"priceType\": \"String\",\n    \"recurringChargePeriod\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice.price\n\n</td><td>\n\nDescription of the price of the associated product. Data type: Object\n\n```\n\"price\": {\n  \"taxIncludedAmount\": {Object}\n}\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice.price.taxIncludedAmount\n\n</td><td>\n\nDescription of the price of the associated product, including the tax. Data type: Object\n\n```\n\"taxIncludedAmount\": {\n  \"unit\": \"String\",\n  \"value\": Number\n}\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice.price.taxIncludedAmount.unit\n\n</td><td>\n\nCurrency code in which the price is depicted. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice.price.taxIncludedAmount.value\n\n</td><td>\n\nPrice of product, including any tax. Data type: Number\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice.priceType\n\n</td><td>\n\nType of item price, recurring or non-recurring. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.itemPrice.recurringChargePeriod\n\n</td><td>\n\nIf the price is recurring, the recurring period, such as `month`. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.ponr\n\n</td><td>\n\nFlag that indicates whether the point of no return for the order has been reached.Possible values:\n\n-   true: The point of no return for the order has been reached.\n-   false: The point of no return for the order hasn't been reached.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nproductOrderItem.product\n\n</td><td>\n\nDescription of the instance details of the product purchased by the customer. Data type: Object\n\n```\n\"product:\" {\n  \"place\": {Object},\n  \"productCharacteristic\": [Array],\n  \"productSpecification\": {Object},\n  \"relatedParty\": {Object},\n  \"@type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.product.place\n\n</td><td>\n\nMaps of the locations on which to install the product. Data type: Object\n\n```\n\"place\": {\n  \"id\": \"String\",\n  \"@type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.product.place.id\n\n</td><td>\n\nSys\\_id of the associated location record in the Location \\[cmn\\_location\\] table. When employing the change action on a product order item \\(via the**productOrderItem.action** parameter\\), updating the request with a new place sys\\_id creates a move order, where the order is not changed but is fulfilled in a new location. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.place.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for order line item contact. This value is always `Place`. This information is not stored. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productCharacteristic\n\n</td><td>\n\nList of characteristics of the associated product. Only product characteristics whose **value** are different than the **previousValue** are returned.\n\nData type: Array of Objects\n\n```\n\"productCharacteristic\": [ \n {\n  \"name\": \"String\",\n  \"previousValue\": \"String\",\n  \"value\": \"String\",\n  \"valueType\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productCharacteristic.name\n\n</td><td>\n\nName of the characteristic record to associate with the product. Located in the Characteristic \\[sn\\_prd\\_pm\\_characteristic\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productCharacteristic.previousValue\n\n</td><td>\n\nPrevious characteristic option values if the update is for a change order. The request is a change order if the **productOrderItem.action** parameter is other than `add`. For additional information on characteristic option values, see [Create product characteristics and characteristic options](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/som-product-config-add-characteristics.md). Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productCharacteristic.value\n\n</td><td>\n\nCharacteristic option values associated with the product. For additional information on characteristic option values, see [Create product characteristics and characteristic options](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/som-product-config-add-characteristics.md). Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productCharacteristic.valueType\n\n</td><td>\n\nType of characteristic value.Possible values:\n\n-   Array.Date\n-   Array.Datetime\n-   Array.Decimal\n-   Array.Integer\n-   Array.Object\n-   Array.Single Line Test\n-   Checkbox\n-   Choice\n-   Date,Address\n-   Email\n-   Integer,Date/time\n-   Object\n-   Single Line Text\n-   Yes/No\n\nData type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productSpecification\n\n</td><td>\n\nDescription of the product specification associated with the product. Data type: Object\n\n```\n\"productSpecification:\" {\n  \"id\": \"String\",\n  \"name\": \"String\",\n  \"@type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productSpecification.id\n\n</td><td>\n\nInitial\\_version or external\\_id of the product specification. The initial\\_version is the sys\\_id of the first version of the specification. Located in the sys\\_id or external\\_id field of the Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productSpecification.name\n\n</td><td>\n\nName of the product specification. Located in the Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.productSpecification.@type\n\n</td><td>\n\nPart of the TMF Open API standard. This value is always `ProductSpecificationRef`. This information is not stored. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty\n\n</td><td>\n\nOptional. List of contacts for line items. Data type: Object\n\n```\n\"relatedParty:\" {\n  \"email\": \"String\",\n  \"firstName\": \"String\",\n  \"id\": \"String\",\n  \"lastName\": \"String\",\n  \"phone\": \"String\",\n  \"@referredType\": \"String\",\n  \"@type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.email\n\n</td><td>\n\nEmail address of the contact. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.firstName\n\n</td><td>\n\nFirst name of the contact. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.id\n\n</td><td>\n\nRequired. Sys\\_id of the line item contact associated with the order line item. Located in the Order Line Item Contact \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\_contact\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.lastName\n\n</td><td>\n\nLast name of the contact. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.phone\n\n</td><td>\n\nBusiness phone number of the contact. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.@referredType\n\n</td><td>\n\nType of customer. Possible value: OrderLineItemContact\n\nData type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.product.relatedParty.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for order line item contact. This value is always `RelatedParty`. This information is not stored. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.productOffering\n\n</td><td>\n\nDescription of the product offering associated with the product. Data type: Object\n\n```\n\"productOffering\": {\n  \"id\": \"String\",\n  \"internalVersion\": \"String\",\n  \"name\": \"String\",\n  \"version\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.productOffering.id\n\n</td><td>\n\nInitial\\_version or external\\_id of the product offering. The initial\\_version is the sys\\_id of the first version of the offering. Located in the sys\\_id or external\\_id field of the Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.productOffering.name\n\n</td><td>\n\nName of the product offering. Located in the Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.quantity\n\n</td><td>\n\nNumber of product items purchased.Data type: Number\n\n</td></tr><tr><td>\n\nproductOrderItem.productOrderItemRelationship\n\n</td><td>\n\nConditional. Item-level relationships. If supplied, each entry requires an **id** and **relationshipType**. Data type: Array of Objects\n\n```\n\"productOrderItemRelationship\": [\n  {\n    \"id\": \"String\",\n    \"relationshipType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nproductOrderItem.productOrderItemRelationship.id\n\n</td><td>\n\nUnique identifier of the related line item. Located in the sn\\_ind\\_tmt\\_orm\\_external\\_id field of the Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\] table. Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.productOrderItemRelationship.relationshipType\n\n</td><td>\n\nRequired. Type of relationship between the two line items. This information is used to identify the relationship hierarchy. Possible values:\n\n-   HasChild\n-   HasParent\n-   Requires\n\n`HasChild` and `HasParent` are used for parent/child relationships. `Requires` is used for horizontal relationships \\(a line item requires another line item\\).\n\nData type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.state\n\n</td><td>\n\nState of the order of the associated product item.Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.version\n\n</td><td>\n\nOrder version.Data type: String\n\n</td></tr><tr><td>\n\nproductOrderItem.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the product. This value is always `ProductOrderItem`. This information is not stored.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of contacts for the order. Each contact is an object in the array. Must list at least one item which contains customer account or consumer account information. Data type: Array of Objects\n\n```\n\"relatedParty:\" [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@referredType\": \"String\",\n    \"@type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id or external\\_id of the account, customer contact, or consumer associated with the order. Located in the Account \\[customer\\_account\\], Contact \\[customer\\_contact\\] table, or Consumer \\[csm\\_consumer\\] table. Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.name\n\n</td><td>\n\nName of the account, customer, or consumer.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of customer. Possible values:\n\n-   Consumer\n-   Customer\n-   CustomerContact\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the product. This value is always `RelatedParty`. This information is not stored. Data type: String\n\n</td></tr><tr><td>\n\nrequestedCompletionDate\n\n</td><td>\n\nOptional. Delivery date requested by the customer. Data type: String\n\n</td></tr><tr><td>\n\nrequestedStartDate\n\n</td><td>\n\nOptional. Order start date requested by the customer. Data type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nCurrent state of the order. Data type: String\n\n</td></tr><tr><td>\n\nversion\n\n</td><td>\n\nOrder version.Data type: String\n\n</td></tr><tr><td>\n\n@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the product. This value is always `ProductOrder`. This information is not stored.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example requests an existing customer order.\n\n```\ncurl -X GET \"https://servicenow-instance/api/sn_ind_tmt_orm/productorder/8d75939453126010a795ddeeff7b126a\" \\\n-u \"username\":\"password\" \n\n\n```\n\nResponse body.\n\n```\n{\n  \"id\": \"8d75939453126010a795ddeeff7b126a\",\n  \"ponr\": \"false\",\n  \"expectedCompletionDate\": \"2021-05-02T08:13:59.000Z\",\n  \"externalId\": \"PO-456\",\n  \"requestedCompletionDate\": \"2021-05-02T08:13:59.000Z\",\n  \"requestedStartDate\": \"2020-05-03T08:13:59.000Z\",\n  \"channel\": [\n    {\n      \"id\": \"1\",\n      \"name\": \"Agent Assist\"\n    }\n  ],\n  \"note\": [\n    {\n      \"author\": \"System Administrator\",\n      \"date\": \"2021-02-25T14:22:07.000Z\",\n      \"text\": \"This is a TMF product order illustration no 2\"\n    },\n    {\n      \"author\": \"System Administrator\",\n      \"date\": \"2021-02-25T14:22:06.000Z\",\n      \"text\": \"This is a TMF product order illustration\"\n    }\n  ],\n\n  \"productOrderItem\": [\n    {\n      \"id\": \"POI130\",\n      \"ponr\": \"false\",\n      \"quantity\": 1,\n      \"action\": \"add\",\n      \"actionReason\":\"adding service package OLI\",\n      \"itemPrice\": [\n        {\n          \"priceType\": \"recurring\",\n          \"price\": {\n            \"taxIncludedAmount\": {\n              \"unit\": \"USD\",\n              \"value\": 20\n            }\n          }\n        },\n        {\n          \"priceType\": \"nonRecurring\",\n          \"price\": {\n            \"taxIncludedAmount\": {\n              \"unit\": \"INR\",\n              \"value\": 0\n            }\n          }\n        }\n      ],\n      \"product\": {\n        \"@type\": \"Product\",\n        \"productCharacteristic\": [\n          {\n            \"name\": \"Security Type\",\n            \"valueType\": \"Choice\",\n            \"value\": \"Base\",\n            \"previousValue\": \"\"\n          }\n        ],\n        \"productSpecification\": {\n          \"id\": \"a6514bd3534560102f18ddeeff7b1247\",\n          \"name\": \"SD-WAN Security\",\n          \"@type\": \"ProductSpecificationRef\"\n        },\n        \"relatedParty\": [\n          {\n            \"id\": \"4175939453126010a795ddeeff7b127d\",\n            \"name\": \"John Smith\",\n            \"email\": \"abc2@example.com\",\n            \"phone\": \"32456768\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"OrderLineItemContact\"\n          },\n          {\n            \"id\": \"c175939453126010a795ddeeff7b127c\",\n            \"name\": \"Joe Doe\",\n            \"email\": \"abc@example.com\",\n            \"phone\": \"1234567890\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"OrderLineItemContact\"\n          }\n        ]\n      },\n      \"productOffering\": {\n        \"id\": \"69017a0f536520103b6bddeeff7b127d\",\n        \"name\": \"Premium SD-WAN Offering\"\n      },\n      \"productOrderItemRelationship\": [\n        {\n          \"id\": \"POI100\",\n          \"relationshipType\": \"HasParent\"\n        }\n      ],\n      \"state\": \"in_progress\",\n      \"version\": \"1\",\n      \"@type\": \"ProductOrderItem\"\n    },\n    {\n    \"id\": \"POI100\",\n    \"ponr\": \"false\",\n    \"quantity\": 1,\n    \"action\": \"add\",\n    \"itemPrice\": [\n      {\n        \"priceType\": \"recurring\",\n        \"price\": {\n          \"taxIncludedAmount\": {\n            \"unit\": \"INR\",\n            \"value\": 0\n          }\n        }\n      },\n      {\n        \"priceType\": \"nonRecurring\",\n        \"price\": {\n          \"taxIncludedAmount\": {\n            \"unit\": \"INR\",\n            \"value\": 0\n          }\n        }\n      }\n    ],\n    \"product\": {\n      \"@type\": \"Product\",\n      \"productSpecification\": {\n        \"id\": \"cfe5ef6a53702010cd6dddeeff7b12f6\",\n        \"name\": \"SD-WAN Service Package\",\n        \"@type\": \"ProductSpecificationRef\"\n      }\n    },\n    \"productOffering\": {\n      \"id\": \"69017a0f536520103b6bddeeff7b127d\",\n      \"name\": \"Premium SD-WAN Offering\"\n    },\n    \"productOrderItemRelationship\": [\n      {\n        \"id\": \"POI130\",\n        \"relationshipType\": \"HasChild\"\n      },\n      {\n        \"id\": \"POI120\",\n        \"relationshipType\": \"HasChild\"\n      },\n      {\n        \"id\": \"POI110\",\n        \"relationshipType\": \"HasChild\"\n      }\n    ],\n    \"state\": \"in_progress\",\n    \"version\": \"1\",\n    \"@type\": \"ProductOrderItem\"\n  },\n  {\n    \"id\": \"POI120\",\n    \"ponr\": \"false\",\n    \"quantity\": 1,\n    \"action\": \"add\",\n    \"itemPrice\": [\n      {\n        \"priceType\": \"recurring\",\n          \"price\": {\n            \"taxIncludedAmount\": {\n              \"unit\": \"USD\",\n              \"value\": 20\n            }\n          }\n        },\n        {\n          \"priceType\": \"nonRecurring\",\n          \"price\": {\n            \"taxIncludedAmount\": {\n              \"unit\": \"INR\",\n              \"value\": 0\n            }\n          }\n        }\n      ],\n      \"product\": {\n        \"@type\": \"Product\",\n        \"productCharacteristic\": [\n          {\n            \"name\": \"CPE Type\",\n            \"valueType\": \"Choice\",\n            \"value\": \"Physical\",\n            \"previousValue\": \"\"\n          },\n          {\n            \"name\": \"WAN Optimization\",\n            \"valueType\": \"Choice\",\n            \"value\": \"Advance\",\n            \"previousValue\": \"\"\n          },\n          {\n            \"name\": \"Routing\",\n            \"valueType\": \"Choice\",\n            \"value\": \"Premium\",\n            \"previousValue\": \"\"\n          },\n          {\n            \"name\": \"CPE Model\",\n            \"valueType\": \"Choice\",\n            \"value\": \"ASR\",\n            \"previousValue\": \"\"\n           }\n        ],\n        \"productSpecification\": {\n          \"id\": \"39b627aa53702010cd6dddeeff7b1202\",\n          \"name\": \"SD-WAN Edge Device\",\n          \"@type\": \"ProductSpecificationRef\"\n        }\n      },\n      \"productOffering\": {\n        \"id\": \"69017a0f536520103b6bddeeff7b127d\",\n        \"name\": \"Premium SD-WAN Offering\"\n      },\n      \"productOrderItemRelationship\": [\n        {\n          \"id\": \"POI100\",\n          \"relationshipType\": \"HasParent\"\n        }\n      ],\n      \"state\": \"in_progress\",\n      \"version\": \"1\",\n      \"@type\": \"ProductOrderItem\"\n    },\n    {\n      \"id\": \"POI110\",\n      \"ponr\": \"false\",\n      \"quantity\": 1,\n      \"action\": \"add\",\n      \"actionReason\":\"adding service package OLI\",\n      \"itemPrice\": [\n        {\n          \"priceType\": \"recurring\",\n            \"price\": {\n              \"taxIncludedAmount\": {\n                \"unit\": \"INR\",\n                \"value\": 0\n              }\n            }\n          },\n          {\n          \"priceType\": \"nonRecurring\",\n          \"price\": {\n            \"taxIncludedAmount\": {\n              \"unit\": \"USD\",\n              \"value\": 5\n            }\n          }\n        }\n      ],\n      \"product\": {\n      \"@type\": \"Product\",\n      \"productCharacteristic\": [\n        {\n          \"name\": \"Tenancy\",\n          \"valueType\": \"Choice\",\n          \"value\": \"Base (10 site)\",\n          \"previousValue\": \"\"\n        }\n      ],\n      \"productSpecification\": {\n        \"id\": \"216663aa53702010cd6dddeeff7b12b5\",\n        \"name\": \"SD-WAN Controller\",\n        \"@type\": \"ProductSpecificationRef\"\n      },\n      \"place\": {\n        \"id\": \"25ab9c4d0a0a0bb300f7dabdc0ca7c1c\",\n        \"@type\": \"Place\"\n      }\n    },\n    \"productOffering\": {\n      \"id\": \"69017a0f536520103b6bddeeff7b127d\",\n      \"name\": \"Premium SD-WAN Offering\"\n    },\n    \"productOrderItemRelationship\": [\n      {\n        \"id\": \"POI100\",\n        \"relationshipType\": \"HasParent\"\n      }\n    ],\n    \"state\": \"in_progress\",\n    \"version\": \"1\",\n    \"@type\": \"ProductOrderItem\"\n  }\n],\n\"relatedParty\": [\n        {\n            \"id\": \"eaf68911c35420105252716b7d40ddde\",\n            \"name\": \"Sally Thomas\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"CustomerContact\"\n        },\n        {\n            \"id\": \"ffc68911c35420105252716b7d40dd55\",\n            \"name\": \"Funco Intl\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"Customer\"\n        },\n        {\n            \"id\": \"59f16de1c3b67110ff00ed23a140dd9e\",\n            \"name\": \"Funco External\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"Consumer\"\n        }\n    ],\n\"state\": \"in_progress\",\n\"version\": \"1\",\n\"@type\": \"ProductOrder\"\n}\n```\n\n## Product Order Open API - GET /sn\\_ind\\_tmt\\_orm/order/productOrder/\\{id\\}\n\nUpdates the specified customer order.\n\n### URL format\n\nDefault URL: `/api/sn_ind_tmt_orm/order/productOrder/{id}`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the customer order to update.Data type: String\n\nTable: Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table id=\"id_vk2_p5n_t4b\" class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n@type\n\n</td><td id=\"type-entry-tmf622\">\n\nPart of TMF Open API standard. Annotation for the product. This value is always `ProductOrder`. This information is not stored.Data type: String\n\n</td></tr><tr id=\"channel-row-tmf622\"><td>\n\nchannel\n\n</td><td>\n\nList of channels to use for selling the products. Data type: Array of Objects\n\n```\n\"channel\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\"\n  }\n]\n```\n\nStored in: sn\\_ind\\_tmt\\_orm\\_order\n\n</td></tr><tr id=\"channel_id-row-tmf622\"><td>\n\nchannel.id\n\n</td><td>\n\nRequired if the **channel** parameter is used. Unique identifier of the channel to use to sell the associated products. Data type: String\n\nTable: In the external\\_id field of the Distribution Channel \\[sn\\_prd\\_pm\\_distribution\\_channel\\] table.\n\nStored in: The channel field of the sn\\_ind\\_tmt\\_orm\\_order table.\n\nDefault: Blank string\n\n</td></tr><tr id=\"channel_name-row-tmf622\"><td>\n\nchannel.name\n\n</td><td>\n\nName of the channel to use to sell the associated products. Possible channel names are defined on the Choice List tab in the Channel Dictionary Entry of the sn\\_ind\\_tmt\\_orm\\_order table.Data type: String\n\nDefault: Blank string\n\n</td></tr><tr><td>\n\ncommittedDueDate\n\n</td><td id=\"due-date-PATCH\">\n\nDate and time when the action must be performed on the order.This value must be the same as or later than the **committedDueDate** values for each order line item.\n\nIf the action for order line items is `suspend` or `resume`, this parameter can't be updated.\n\nData type: String\n\nStored in: The committed\\_due\\_date field of the sn\\_ind\\_tmt\\_orm\\_order table.\n\n</td></tr><tr id=\"externalId-row-tmf622\"><td>\n\nexternalId\n\n</td><td>\n\nUnique identifier for the customer order. This value is determined by an external system. Data type: String\n\nStored in: The external\\_id field of the sn\\_ind\\_tmt\\_orm\\_order table.\n\nDefault: Blank string\n\n</td></tr><tr><td>\n\nexternalSystem\n\n</td><td id=\"tmf622-response-externalSystem\"
[...]
